/*
 * /////////////////////////////////////////////////////////////////////////////////
 * //
 * // Copyright <2015>-<2016> Avaya Inc. All Rights Reserved.
 * //
 * // Usage of this source is bound to the terms described
 * // in assets/Licence.txt
 * //
 * // Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 * // or Avaya Policy
 * //
 * /////////////////////////////////////////////////////////////////////////////
 */

package com.avaya.odonnell3.AndroidChatTemplate_2_3.model;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class WebOnHoldComfortGroup {
    @JsonProperty("messages")
    private List<OnHoldMessage> messages;
    @JsonProperty("delay")
    private Integer delay;
    @JsonProperty("groupName")
    private String groupName;
    @JsonProperty("numberOfMessages")
    private Integer numberOfMessages;

    public List<OnHoldMessage> getMessages() {
        return messages;
    }

    public void setMessages(List<OnHoldMessage> messages) {
        this.messages = messages;
    }

    public Integer getDelay() {
        return delay;
    }

    public void setDelay(Integer delay) {
        this.delay = delay;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Integer getNumberOfMessages() {
        return numberOfMessages;
    }

    public void setNumberOfMessages(Integer numberOfMessages) {
        this.numberOfMessages = numberOfMessages;
    }

    @Override
    public String toString() {
        return "WebOnHoldComfortGroup{" +
                "messages=" + messages +
                ", delay=" + delay +
                ", groupName='" + groupName + '\'' +
                ", numberOfMessages=" + numberOfMessages +
                '}';
    }
}
